(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     24810,        680]
NotebookOptionsPosition[     23319,        624]
NotebookOutlinePosition[     23933,        648]
CellTagsIndexPosition[     23890,        645]
WindowTitle->Beating and Roughness - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Beating and Roughness", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{"Black", ",", 
       RowBox[{"Opacity", "[", "1", "]"}], ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
        "Red", " ", "Sin", " ", "Wave", " ", "at", " ", "Reference", " ", 
         "Frequency"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "6"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"2", "\[Pi]"}], ",", "6"}], "}"}]}], "}"}], "]"}], ",", 
       RowBox[{"(*", " ", 
        RowBox[{"x", "-", "axis"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"First", "[", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"6", "+", 
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"ref", "/", "50"}], ")"}], "*", " ", "t"}], "]"}]}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"t", ",", "0", ",", 
            RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Darker", "[", 
              RowBox[{"Red", ",", "0.5"}], "]"}], ",", 
             RowBox[{"AbsoluteThickness", "[", "2", "]"}]}], "}"}]}]}], "]"}],
         "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"Blue", " ", "Sin", " ", "Wave"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "3.5"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"2", "\[Pi]"}], ",", "3.5"}], "}"}]}], "}"}], "]"}], ",", 
       "  ", 
       RowBox[{"(*", " ", 
        RowBox[{"x", "-", "axis"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"First", "[", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"3.5", "+", 
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"blue", "/", "50"}], ")"}], " ", "*", "t"}], " ", "+", 
             "0"}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"t", ",", "0", ",", 
            RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Darker", "[", 
              RowBox[{"Blue", ",", "0.5"}], "]"}], ",", 
             RowBox[{"AbsoluteThickness", "[", "2", "]"}]}], "}"}]}]}], "]"}],
         "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"Green", "/", "Combined"}], " ", "Sin", " ", "Wave"}], " ", 
        "*)"}], "\[IndentingNewLine]", 
       RowBox[{"Line", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"2", "\[Pi]"}], ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
       "  ", 
       RowBox[{"(*", " ", 
        RowBox[{"x", "-", "axis"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"First", "[", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"ref", "/", "50"}], ")"}], "*", " ", "t"}], " ", "]"}], 
           "+", 
           RowBox[{"Sin", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"blue", "/", "50"}], ")"}], "*", " ", "t"}], " ", "+", 
             "0"}], "]"}]}], ",", 
          RowBox[{"{", 
           RowBox[{"t", ",", "0", ",", 
            RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Darker", "[", 
              RowBox[{"Green", ",", "0.5"}], "]"}], ",", 
             RowBox[{"AbsoluteThickness", "[", "2", "]"}]}], "}"}]}]}], "]"}],
         "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"Envelope", " ", "of", " ", 
         RowBox[{"Green", "/", "Combined"}], " ", "Sin", " ", "Wave"}], " ", 
        "*)"}], "\[IndentingNewLine]", 
       RowBox[{"First", "[", 
        RowBox[{"Plot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"2", "*", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{
                FractionBox[
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"ref", "-", "blue"}], ")"}], "/", "50"}], "2."], 
                "t"}], " ", "-", 
               RowBox[{"0", "/", "2."}]}], "]"}]}], ",", 
            RowBox[{
             RowBox[{"-", "2"}], "*", 
             RowBox[{"Cos", "[", 
              RowBox[{
               RowBox[{
                FractionBox[
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"ref", "-", "blue"}], ")"}], "/", "50"}], "2."], 
                "t"}], " ", "-", 
               RowBox[{"0", "/", "2."}]}], "]"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"t", ",", "0", ",", 
            RowBox[{"2", " ", "\[Pi]"}]}], "}"}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Green", ",", 
             RowBox[{"AbsoluteThickness", "[", "0", "]"}]}], "}"}]}], ",", 
          RowBox[{"Filling", "\[Rule]", 
           RowBox[{"{", "1", "}"}]}], ",", 
          RowBox[{"FillingStyle", "\[Rule]", 
           RowBox[{"Directive", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Opacity", "[", "0.15", "]"}], ",", "Green"}], "}"}], 
            "]"}]}]}], "]"}], "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
      "The", " ", "formula", " ", "for", " ", "calculating", " ", "the", " ", 
       "critical", " ", "bandwith", "  ", "centered", " ", "at", " ", "1", 
       "kH", " ", 
       RowBox[{"is", ":", "\[IndentingNewLine]", " ", 
        RowBox[{
         RowBox[{"6.23", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "6"}]], 
          SuperscriptBox["1000", "2"]}], "+", 
         RowBox[{"93.39", " ", 
          SuperscriptBox["10", 
           RowBox[{"-", "3"}]], " ", "1000"}], " ", "+", "28.5"}]}]}], 
      "\[IndentingNewLine]", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"500", ",", "400"}], "}"}]}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "0.8"}], ",", 
     RowBox[{"Background", "\[Rule]", 
      RowBox[{"Lighter", "[", 
       RowBox[{"LightGray", ",", ".95"}], "]"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", 
          RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2"}], ",", "8"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", "17", "}"}]}], ",", 
     RowBox[{"PlotLabel", "\[Rule]", 
      RowBox[{"Style", "[", 
       RowBox[{
        RowBox[{"Row", "[", 
         RowBox[{"{", 
          RowBox[{"\"\<\[CapitalDelta]\>\"", ",", 
           RowBox[{"Style", "[", 
            RowBox[{"\"\<f\>\"", ",", "Italic"}], "]"}], ",", "\"\< = \>\"", 
           ",", 
           RowBox[{"Abs", "[", 
            RowBox[{"ref", "-", "blue"}], "]"}], ",", "\[IndentingNewLine]", 
           RowBox[{"EmitSound", "[", 
            RowBox[{"Sound", "[", 
             RowBox[{"{", 
              RowBox[{"Play", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"Sin", "[", 
                  RowBox[{"1000", " ", "2", " ", "\[Pi]", "  ", "t"}], " ", 
                  "]"}], "+", 
                 RowBox[{"Sin", "[", 
                  RowBox[{
                   RowBox[{"blue", " ", "2", "\[Pi]", " ", "t"}], " ", "+", 
                   "0"}], "]"}]}], ",", 
                RowBox[{"{", 
                 RowBox[{"t", ",", "0", ",", "1"}], "}"}]}], "]"}], "}"}], 
             "]"}], "]"}], ",", "\"\<Hz\>\"", ",", 
           RowBox[{"Which", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Abs", "[", 
                RowBox[{"ref", "-", "blue"}], "]"}], ">", " ", "0"}], " ", "&&", 
              RowBox[{
               RowBox[{"Abs", "[", 
                RowBox[{"ref", "-", "blue"}], "]"}], "<", " ", "15"}]}], " ", 
             ",", "\"\< (beats)\>\"", ",", 
             RowBox[{
              RowBox[{
               RowBox[{"Abs", "[", 
                RowBox[{"ref", "-", "blue"}], "]"}], ">", "15"}], " ", "&&", 
              RowBox[{
               RowBox[{"Abs", "[", 
                RowBox[{"ref", "-", "blue"}], "]"}], "<", "113.87"}]}], ",", 
             "\"\< (roughness)\>\"", ",", 
             RowBox[{
              RowBox[{"Abs", "[", 
               RowBox[{"ref", "-", "blue"}], "]"}], ">", "113.87"}], ",", 
             "\"\< (two tones)\>\"", ",", "True", ",", "\"\< (unison)\>\""}], 
            "]"}]}], "}"}], "]"}], ",", "18", ",", "Bold"}], "]"}]}]}], "]"}],
    ",", "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   
   RowBox[{"(*", " ", 
    RowBox[{
    "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
      "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", 
     "**", "**", "**", "**", "**", "**", "**", "**", " ", "controls"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"blue", ",", "1000", ",", "\"\<blue tone\>\""}], "}"}], ",", 
     "774", ",", "1226"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
       "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
       "**", "**", "**", " ", "dynamic"}], " ", "variables"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ref", ",", "1000", ",", "\"\<red frequency\>\""}], "}"}], ",", 
     
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", " ", 
   RowBox[{"(*", " ", 
    RowBox[{"ref", " ", "freq", " ", "set", " ", "at", " ", "20", " ", "Hz"}],
     " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
     "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
       "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**", "**",
       "**", "**", "**", "**", "**", "**", "**"}], "*", "  ", "options"}], 
    " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", "1", "}"}]}]}], "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.430155216055491*^9, 3.430155260790592*^9}, {
   3.4930482656327744`*^9, 3.4930482885190625`*^9}, {3.4930483195941696`*^9, 
   3.4930484116243715`*^9}, {3.493491724479003*^9, 3.493491725729003*^9}, 
   3.493491756135253*^9},
 CellID->2081217376]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`blue$$ = 1000, $CellContext`ref$$ = 1000, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`blue$$], 1000, "blue tone"}, 774, 1226}, {{
       Hold[$CellContext`ref$$], 1000, "red frequency"}}}, Typeset`size$$ = {
    500., {196., 204.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`blue$4428$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`blue$$ = 1000, $CellContext`ref$$ = 1000}, 
      "ControllerVariables" :> {
        Hold[$CellContext`blue$$, $CellContext`blue$4428$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Graphics[{Black, 
         Opacity[1], 
         Line[{{0, 6}, {2 Pi, 6}}], 
         First[
          Plot[
          6 + Sin[($CellContext`ref$$/50) $CellContext`t], {$CellContext`t, 0,
             2 Pi}, PlotStyle -> {
             Darker[Red, 0.5], 
             AbsoluteThickness[2]}]], 
         Line[{{0, 3.5}, {2 Pi, 3.5}}], 
         First[
          Plot[
          3.5 + Sin[($CellContext`blue$$/50) $CellContext`t + 
             0], {$CellContext`t, 0, 2 Pi}, PlotStyle -> {
             Darker[Blue, 0.5], 
             AbsoluteThickness[2]}]], 
         Line[{{0, 0}, {2 Pi, 0}}], 
         First[
          Plot[
          Sin[($CellContext`ref$$/50) $CellContext`t] + 
           Sin[($CellContext`blue$$/50) $CellContext`t + 0], {$CellContext`t, 
            0, 2 Pi}, PlotStyle -> {
             Darker[Green, 0.5], 
             AbsoluteThickness[2]}]], 
         First[
          
          Plot[{2 Cos[(($CellContext`ref$$ - $CellContext`blue$$) 50^(-1)/
                2.) $CellContext`t - 0/2.], (-2) 
            Cos[(($CellContext`ref$$ - $CellContext`blue$$) 50^(-1)/
                2.) $CellContext`t - 0/2.]}, {$CellContext`t, 0, 2 Pi}, 
           PlotStyle -> {Green, 
             AbsoluteThickness[0]}, Filling -> {1}, FillingStyle -> Directive[{
              Opacity[0.15], Green}]]]}, ImageSize -> {500, 400}, AspectRatio -> 
        0.8, Background -> Lighter[LightGray, 0.95], 
        PlotRange -> {{0, 2 Pi}, {-2, 8}}, BaseStyle -> {17}, PlotLabel -> 
        Style[
          Row[{"\[CapitalDelta]", 
            Style["f", Italic], " = ", 
            Abs[$CellContext`ref$$ - $CellContext`blue$$], 
            EmitSound[
             Sound[{
               Play[
               Sin[1000 2 Pi $CellContext`t] + 
                Sin[$CellContext`blue$$ 2 Pi $CellContext`t + 
                  0], {$CellContext`t, 0, 1}]}]], "Hz", 
            Which[
             And[
             Abs[$CellContext`ref$$ - $CellContext`blue$$] > 0, 
              Abs[$CellContext`ref$$ - $CellContext`blue$$] < 15], " (beats)", 
             And[
             Abs[$CellContext`ref$$ - $CellContext`blue$$] > 15, 
              Abs[$CellContext`ref$$ - $CellContext`blue$$] < 113.87], 
             " (roughness)", Abs[$CellContext`ref$$ - $CellContext`blue$$] > 
             113.87, " (two tones)", True, " (unison)"]}], 18, Bold]], 
      "Specifications" :> {{{$CellContext`blue$$, 1000, "blue tone"}, 774, 
         1226}, {{$CellContext`ref$$, 1000, "red frequency"}, ControlType -> 
         None}}, "Options" :> {AutorunSequencing -> {1}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{545., {242., 247.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({Attributes[PlotRange] = {ReadProtected}}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->78560061],

Cell[CellGroupData[{

Cell["Caption", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[TextData[{
 "When a pair of beating sinusoids are equal in amplitude, their temporal \
envelope is characterized by a full-wave rectified sinusoid. This envelope \
has an oscillation rate at the absolute frequency difference (",
 Cell[BoxData[
  FormBox[
   RowBox[{"\:2206", "\[InvisibleSpace]", "f"}], TraditionalForm]], 
  "InlineMath"],
 ") between the original two sinusoids. If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\:2206", "\[InvisibleSpace]", "f"}], TraditionalForm]], 
  "InlineMath"],
 " is greater than an auditory filter bandwidth (or critical band), the \
combination is perceived as two distinct tones."
}], "Text"]
}, Close]]
}, Open  ]],

Cell["\<\
Temporal envelope changes produced by amplitude modulation can be perceived \
as fluctuation strength (or beats) or roughness, depending upon the \
modulation rate. Fluctuation strength has a maximum at about 4 Hz and \
roughness peaks at about 70 Hz (see [1]). Roughness tends to disappear when \
the modulation frequency is greater than 300 Hz. The continuous transition \
between the two perceptual modes is at about 15\[Dash]20 Hz. To quantify \
fluctuation strength and roughness, Fastl and Zwicker proposed the respective \
units vacil and asper.\
\>", "Text"],

Cell[CellGroupData[{

Cell["Details", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell["Reference", "Text"],

Cell[TextData[{
 "[1] H. Fastl and E. Zwicker, \"Psychoacoustics: Facts and Models.\" ",
 StyleBox["Springer Series in Information Sciences",
  FontSlant->"Italic"],
 ", 3rd ed., ",
 StyleBox["22",
  FontWeight->"Bold"],
 ", Berlin: Springer, 2007."
}], "Text"]
}, Close]],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Beating and Roughness",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/BeatingAndRoughness/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/BeatingAndRoughness/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/BeatingAndRoughness/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/BeatingAndRoughness/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/BeatingAndRoughness/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Julian Villegas",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Julian+\
Villegas"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Julian+Villegas"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "Based on a program by: ",
 ButtonBox["John Kiehl",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=John+Kiehl"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=John+Kiehl"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6],
 CellID->755561367]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
BeatingAndRoughness"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{710, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Beating and Roughness - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[611, 23, 213, 4, 70, "Section"],
Cell[827, 29, 11561, 288, 70, "Input",
 CellID->2081217376]
}, Open  ]],
Cell[CellGroupData[{
Cell[12425, 322, 4235, 90, 70, "Output",
 CellID->78560061],
Cell[CellGroupData[{
Cell[16685, 416, 199, 4, 70, "Section"],
Cell[16887, 422, 638, 15, 70, "Text"]
}, Close]]
}, Open  ]],
Cell[17551, 441, 576, 9, 70, "Text"],
Cell[CellGroupData[{
Cell[18152, 454, 199, 4, 70, "Section"],
Cell[18354, 460, 25, 0, 70, "Text"],
Cell[18382, 462, 261, 8, 70, "Text"]
}, Close]],
Cell[CellGroupData[{
Cell[18679, 475, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[19055, 486, 893, 24, 70, "Text"],
Cell[19951, 512, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[CellGroupData[{
Cell[20313, 525, 439, 14, 70, "Text"],
Cell[20755, 541, 454, 15, 70, "Text",
 CellID->755561367]
}, Open  ]],
Cell[CellGroupData[{
Cell[21246, 561, 847, 24, 70, "Text"],
Cell[22096, 587, 1195, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature OQ48uqYX5g5LGDTPSDEM@M0T *)
