(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     60156,       1413]
NotebookOptionsPosition[     58553,       1355]
NotebookOutlinePosition[     59162,       1379]
CellTagsIndexPosition[     59119,       1376]
WindowTitle->Block and Tackle - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Block and Tackle", "Section",
 CellFrameColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108],
 FontColor->RGBColor[
  0.6449835965514611, 0.758632791638056, 0.2516823071641108]],

Cell[BoxData[
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"-", "10"}]}], ";", 
  RowBox[{"y", "=", "5"}], ";", 
  RowBox[{
   RowBox[{"bt", "[", 
    RowBox[{"n_", ",", "d_", ",", "m_"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{"Black", ",", 
     RowBox[{"Rectangle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "12.5"}], ",", "9"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "7.5"}], ",", "10"}], "}"}]}], "]"}], ",", "Gray", ",", 
     
     RowBox[{"EdgeForm", "[", 
      RowBox[{"{", 
       RowBox[{"Thick", ",", "Black"}], "}"}], "]"}], ",", 
     RowBox[{"Disk", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", "2"}], "]"}], ",", 
     RowBox[{"Disk", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "d"}], "}"}], ",", "2"}], "]"}], ",", 
     RowBox[{"Thickness", "[", ".01", "]"}], ",", "Black", ",", 
     RowBox[{"Circle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"y", "-", "2.5"}]}], "}"}], ",", ".4"}], "]"}], ",", 
     RowBox[{"Circle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"d", "-", "2.5"}]}], "}"}], ",", ".4"}], "]"}], ",", "Brown",
      ",", 
     RowBox[{"Opacity", "[", 
      RowBox[{"Boole", "[", 
       RowBox[{"n", ">", "1"}], "]"}], "]"}], ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x", "-", "2"}], ",", "y"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x", "-", "2"}], ",", "d"}], "}"}]}], "}"}], "]"}], ",", 
     RowBox[{"Thickness", "[", ".005", "]"}], ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x", "+", "1.7"}], ",", 
          RowBox[{"y", "-", "1"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x", "+", "1.7"}], ",", 
          RowBox[{"d", "+", "1"}]}], "}"}]}], "}"}], "]"}], ",", 
     RowBox[{"Opacity", "[", "1", "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Darker", "[", "Brown", "]"}], ",", 
     RowBox[{"PointSize", "[", ".015", "]"}], ",", 
     RowBox[{"Point", "[", 
      RowBox[{"{", 
       RowBox[{"x", ",", 
        RowBox[{"y", "-", "2.5"}]}], "}"}], "]"}], ",", 
     RowBox[{"Thickness", "[", ".01", "]"}], ",", 
     RowBox[{"Circle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", "2", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"160", "\[Degree]"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"Circle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "d"}], "}"}], ",", "2", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "\[Pi]"}], "+", 
          RowBox[{"ArcSin", "[", 
           FractionBox["2", 
            RowBox[{"d", "-", "2.5"}]], "]"}]}], ",", "0"}], "}"}]}], "]"}], 
     ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x", "-", 
           RowBox[{"2", 
            RowBox[{"Cos", "[", 
             RowBox[{"20", "\[Degree]"}], "]"}]}]}], ",", 
          RowBox[{"y", "+", 
           RowBox[{"2", 
            RowBox[{"Sin", "[", 
             RowBox[{"20", "\[Degree]"}], "]"}]}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "18"}], ",", 
          RowBox[{"-", "11"}]}], "}"}]}], "}"}], "]"}], ",", 
     RowBox[{"Arrow", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x", "-", 
           RowBox[{"2", 
            RowBox[{"Cos", "[", 
             RowBox[{"20", "\[Degree]"}], "]"}]}]}], ",", 
          RowBox[{"y", "+", 
           RowBox[{"2", 
            RowBox[{"Sin", "[", 
             RowBox[{"20", "\[Degree]"}], "]"}]}]}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x", "-", 
           RowBox[{"2", 
            RowBox[{"Cos", "[", 
             RowBox[{"20", "\[Degree]"}], "]"}]}], "+", 
           RowBox[{"2", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "8"}], "-", "  ", "d"}], " ", ")"}], 
            RowBox[{"Cos", "[", 
             RowBox[{"70", "\[Degree]"}], "]"}]}]}], ",", 
          RowBox[{"y", "+", 
           RowBox[{"2", 
            RowBox[{"Sin", "[", 
             RowBox[{"20", "\[Degree]"}], "]"}]}], "+", 
           RowBox[{"2", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "8"}], "-", "  ", "d"}], " ", ")"}], " ", 
            RowBox[{"Sin", "[", 
             RowBox[{"70", "\[Degree]"}], "]"}]}]}]}], "}"}]}], "}"}], "]"}], 
     ",", 
     RowBox[{"Circle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "19"}], ",", 
         RowBox[{"-", "11"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", ".3"}], "}"}]}], "]"}], ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"y", "-", "2.35"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x", "-", 
           RowBox[{"2", 
            SqrtBox[
             RowBox[{"1", "-", 
              FractionBox["4", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"d", "-", "2.5"}], ")"}], "2"]]}]]}]}], ",", 
          RowBox[{"d", "-", 
           FractionBox["4", 
            RowBox[{"d", "-", "2.5"}]]}]}], "}"}]}], "}"}], "]"}], ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x", "+", "2"}], ",", "y"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"x", "+", "2"}], ",", "d"}], "}"}]}], "}"}], "]"}], ",", 
     RowBox[{"Darker", "[", "Gray", "]"}], ",", 
     RowBox[{"Rectangle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "-", ".25"}], ",", 
         RowBox[{"y", "-", "2.2"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "+", ".25"}], ",", 
         RowBox[{"y", "+", "4"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"Rectangle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "-", ".25"}], ",", 
         RowBox[{"d", "+", "2.2"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "+", ".25"}], ",", 
         RowBox[{"d", "-", "2.2"}]}], "}"}]}], "]"}], ",", "Black", ",", 
     RowBox[{"Disk", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", ".5"}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Disk", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "d"}], "}"}], ",", ".5"}], "]"}], ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"d", "-", "2.9"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"d", "-", "3.8"}]}], "}"}]}], "}"}], "]"}], ",", 
     RowBox[{"Rectangle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "-", "1.5"}], ",", 
         RowBox[{"d", "-", "5.8"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "+", "1.5"}], ",", 
         RowBox[{"d", "-", "3.8"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"m", ",", "24", ",", "White", ",", "Bold"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"d", "-", "4.8"}]}], "}"}]}], "]"}]}], "\[IndentingNewLine]",
     "}"}]}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4458193973301907`*^9, 3.445819399870462*^9}, {
   3.445819483723599*^9, 3.445819712537766*^9}, {3.445819765275632*^9, 
   3.445819918700424*^9}, {3.44582000956535*^9, 3.4458201295504093`*^9}, {
   3.4458201952669773`*^9, 3.445820224788871*^9}, {3.445820272678306*^9, 
   3.445820367392272*^9}, {3.445820414680444*^9, 3.445820532608223*^9}, {
   3.445820613769668*^9, 3.445820811421088*^9}, {3.4458208551580353`*^9, 
   3.445820907071682*^9}, {3.445820969873549*^9, 3.445820971958029*^9}, {
   3.445821068408684*^9, 3.445821159760685*^9}, {3.44582128901231*^9, 
   3.4458213080340853`*^9}, {3.445821616527771*^9, 3.445821618825143*^9}, {
   3.4458216516753674`*^9, 3.445821820175761*^9}, {3.445821886262423*^9, 
   3.44582192577879*^9}, 3.445821959103557*^9, {3.4458220201415987`*^9, 
   3.445822039766748*^9}, {3.445822076473343*^9, 3.445822093743107*^9}, 
   3.4458221353686247`*^9, 3.4458222789057703`*^9, {3.4458223648436813`*^9, 
   3.445822371955163*^9}, {3.445883441571705*^9, 3.4458834843358793`*^9}, {
   3.44588353373759*^9, 3.445883545161209*^9}, {3.445883862249483*^9, 
   3.445883875637512*^9}, 3.4458839232383327`*^9, {3.4458840505772533`*^9, 
   3.445884098263886*^9}, 3.445884149851157*^9, {3.445884246026031*^9, 
   3.44588425203701*^9}, {3.445884308326908*^9, 3.445884331400736*^9}, {
   3.445884386773645*^9, 3.445884416690435*^9}, {3.44588444991471*^9, 
   3.445884466101915*^9}, {3.445884500571698*^9, 3.445884534652349*^9}, 
   3.44588477605746*^9, {3.4458848069290237`*^9, 3.4458848733655777`*^9}, {
   3.445885670295566*^9, 3.445885902510787*^9}, {3.445885935912204*^9, 
   3.445885948073275*^9}, {3.445886028923375*^9, 3.445886047999565*^9}, {
   3.445886087990761*^9, 3.445886147635687*^9}, 3.445895012377496*^9, {
   3.445895052850224*^9, 3.44589505956389*^9}, {3.44589511353623*^9, 
   3.445895129961482*^9}, 3.445895243276724*^9, {3.445895311707008*^9, 
   3.445895350805944*^9}, 3.4458954013298397`*^9, {3.4458954854064407`*^9, 
   3.445895490055179*^9}, {3.445895533168825*^9, 3.445895534217235*^9}, {
   3.4458957671049767`*^9, 3.445895806124466*^9}, {3.445897905730707*^9, 
   3.445897914211854*^9}, {3.4458980093878403`*^9, 3.44589802221286*^9}, {
   3.4458981931780357`*^9, 3.4458982109395523`*^9}, {3.445898464225851*^9, 
   3.4458984951628113`*^9}, {3.445898569618743*^9, 3.445898576066558*^9}, {
   3.445898738778048*^9, 3.4458987772620077`*^9}, {3.4458988333054447`*^9, 
   3.445898841807619*^9}, 3.4458991144186583`*^9, {3.4458997280968437`*^9, 
   3.445899761593981*^9}, {3.4458998467216463`*^9, 3.44589986345796*^9}, {
   3.445900103045415*^9, 3.445900141709375*^9}, {3.4459001873821173`*^9, 
   3.445900200269045*^9}, {3.4459002913242083`*^9, 3.445900305535803*^9}, 
   3.4459004750744047`*^9, {3.4459007426313047`*^9, 3.445900755347912*^9}, {
   3.445903009421414*^9, 3.445903061668118*^9}, {3.445903261445709*^9, 
   3.445903297156513*^9}, {3.445903363383442*^9, 3.4459034220080853`*^9}, {
   3.445903483582919*^9, 3.445903546132195*^9}, 3.445903625845426*^9, 
   3.4459036768338346`*^9, 3.445903731133977*^9, 3.445903770859593*^9, 
   3.445903988422801*^9, 3.4459043910504436`*^9, 3.4459044532993307`*^9, {
   3.4459046853756437`*^9, 3.445904693635531*^9}, {3.445904869814444*^9, 
   3.4459048767493563`*^9}, {3.445904944651071*^9, 3.445904952549563*^9}, {
   3.445904992313232*^9, 3.4459050384759197`*^9}, 3.4459052043891993`*^9, 
   3.4459052670396433`*^9, {3.4459053122518682`*^9, 3.44590532045115*^9}, {
   3.445905413327121*^9, 3.445905437977086*^9}, 3.445905474951006*^9, {
   3.44590557402249*^9, 3.445905575133794*^9}, 3.4459056154527473`*^9, 
   3.4459057600773582`*^9, 3.4459059247296057`*^9, 3.445905985142166*^9, 
   3.445906045417541*^9, {3.445906411644636*^9, 3.44590643001855*^9}, {
   3.44590646119306*^9, 3.445906463106748*^9}, {3.4459065156576157`*^9, 
   3.44590655060597*^9}, {3.445906588220347*^9, 3.44590658892456*^9}, {
   3.4459066595336514`*^9, 3.445906664218561*^9}, {3.4459067178704147`*^9, 
   3.445906733180368*^9}, {3.445906821783341*^9, 3.4459068277955*^9}, {
   3.445907021948329*^9, 3.445907032096354*^9}, {3.445907081109317*^9, 
   3.445907106682276*^9}, {3.445907238247423*^9, 3.445907323184498*^9}, {
   3.445907373699195*^9, 3.445907398773491*^9}, 3.445907434279806*^9, {
   3.445907496986734*^9, 3.445907517609874*^9}, {3.44590756609758*^9, 
   3.445907676062119*^9}, {3.445907765276787*^9, 3.445907806188341*^9}, 
   3.4459078366895638`*^9, {3.445907913664134*^9, 3.445907920251561*^9}, 
   3.4459079877646217`*^9, {3.445908933631487*^9, 3.4459089627417383`*^9}, {
   3.445909009756225*^9, 3.4459090370181503`*^9}, 3.445909104136565*^9, 
   3.445909219119918*^9, {3.445986504400826*^9, 3.445986507411726*^9}, {
   3.446060771795601*^9, 3.446060818825732*^9}, {3.446060863611038*^9, 
   3.4460609197913857`*^9}, {3.446060956618691*^9, 3.446061071018478*^9}, {
   3.4460611716699467`*^9, 3.446061211817226*^9}, 3.446061253492785*^9, {
   3.446061395355899*^9, 3.4460614011073503`*^9}, {3.446061492494659*^9, 
   3.446061515555974*^9}, {3.4460617027072887`*^9, 3.446061708369994*^9}, 
   3.4460619735614233`*^9, {3.446062019326089*^9, 3.446062034946361*^9}, {
   3.446062073537759*^9, 3.4460621161071987`*^9}, 3.446062243693674*^9, {
   3.4460622869703493`*^9, 3.446062305893607*^9}, {3.44606241076097*^9, 
   3.44606241240731*^9}, {3.446062454858378*^9, 3.446062460958819*^9}, 
   3.4460625056846113`*^9, 3.446062537046665*^9, 3.446062576634406*^9, 
   3.446062612446319*^9, {3.4460626524095917`*^9, 3.446062653683115*^9}, 
   3.446062722460005*^9, {3.44606286974829*^9, 3.446062928534237*^9}, {
   3.446062964548205*^9, 3.44606297095992*^9}, 3.446063012487268*^9, 
   3.4460630642368813`*^9, {3.4460631480009747`*^9, 3.446063173994701*^9}, 
   3.446063215226715*^9, {3.446063303562907*^9, 3.446063308537183*^9}, {
   3.44606371060213*^9, 3.446063769615428*^9}, {3.446063841773222*^9, 
   3.446063848366704*^9}, {3.4460638892650757`*^9, 3.446063897662846*^9}, 
   3.4460639629405727`*^9, 3.4460640300157747`*^9, {3.446064082015523*^9, 
   3.446064087039043*^9}, {3.446064143416081*^9, 3.4460641505269833`*^9}, {
   3.446064195278378*^9, 3.446064203281793*^9}, {3.4460642942035303`*^9, 
   3.446064307891241*^9}, 3.446064379129367*^9, {3.446065306720743*^9, 
   3.446065309258505*^9}, {3.446065346583344*^9, 3.446065370283123*^9}, {
   3.446065555783373*^9, 3.4460655653578*^9}, 3.446065612620742*^9, {
   3.446065665889168*^9, 3.446065671959066*^9}, 3.446065852315143*^9, {
   3.446079672871133*^9, 3.446079699357263*^9}, 3.446079810109535*^9, {
   3.446080084994657*^9, 3.4460801027107477`*^9}, {3.446080164250414*^9, 
   3.446080207025198*^9}, 3.446080260874598*^9, {3.446080303538022*^9, 
   3.4460803290710917`*^9}, {3.446080413099681*^9, 3.446080451060989*^9}, 
   3.4460805205882807`*^9, 3.4460805724137793`*^9, 3.446080643063221*^9, 
   3.4460806886738853`*^9, 3.446080739026968*^9, {3.446080775625798*^9, 
   3.446080780337913*^9}, {3.446081225341709*^9, 3.446081257457933*^9}, {
   3.44608129216857*^9, 3.446081348619596*^9}, {3.446081386911252*^9, 
   3.446081413294993*^9}, {3.4460815255812473`*^9, 3.44608154185504*^9}, {
   3.446081696620051*^9, 3.446081727055757*^9}, {3.446081819904986*^9, 
   3.4460818410038137`*^9}, {3.446081918533669*^9, 3.44608193190597*^9}, {
   3.446082029646364*^9, 3.446082036648196*^9}, {3.446082082083578*^9, 
   3.446082086996131*^9}, {3.4460821602713413`*^9, 3.4460821680575323`*^9}, {
   3.4460822230584717`*^9, 3.4460822317095633`*^9}, {3.44608232587175*^9, 
   3.446082335071292*^9}, {3.4460823838720093`*^9, 3.4460824032847347`*^9}, {
   3.446082508935808*^9, 3.446082524509386*^9}, {3.446082605687243*^9, 
   3.446082622021126*^9}, {3.446082703489543*^9, 3.446082709778558*^9}, {
   3.446082803386003*^9, 3.446082821396452*^9}, {3.446082894661252*^9, 
   3.4460829381240463`*^9}, {3.446082985136921*^9, 3.446082993109165*^9}, {
   3.4460831100011797`*^9, 3.446083117890284*^9}, {3.446083171361129*^9, 
   3.446083184152684*^9}, {3.446124442718932*^9, 3.4461244490933*^9}, {
   3.446124531039781*^9, 3.446124533879445*^9}, {3.446124695035322*^9, 
   3.4461247666660633`*^9}, {3.446124811099986*^9, 3.4461249325810337`*^9}, {
   3.446125014914365*^9, 3.44612502151233*^9}, {3.4461250973630857`*^9, 
   3.446125101921567*^9}, 3.446125215948963*^9, {3.4461252887137337`*^9, 
   3.446125329373269*^9}, {3.446125435991982*^9, 3.446125453681836*^9}, {
   3.446125484699071*^9, 3.446125522196837*^9}, {3.4461256254758053`*^9, 
   3.446125633362105*^9}, {3.446125726767131*^9, 3.446125733438501*^9}, {
   3.446125821538067*^9, 3.446125841253722*^9}, {3.4461259279289227`*^9, 
   3.44612593239832*^9}, {3.4461260618604403`*^9, 3.44612606948337*^9}, {
   3.446404170783489*^9, 3.4464041762050457`*^9}, {3.446404215729776*^9, 
   3.446404219556584*^9}, {3.446404797132317*^9, 3.446404801882683*^9}, {
   3.449004934042255*^9, 3.449004941989522*^9}, 3.449005597456359*^9, {
   3.4490060818876057`*^9, 3.4490060844244823`*^9}, 3.449006124073707*^9, 
   3.449006164739798*^9, {3.449006264095911*^9, 3.449006274890901*^9}, {
   3.4490063059908237`*^9, 3.449006336359272*^9}, {3.4490063781774387`*^9, 
   3.449006394451144*^9}, {3.449006506246189*^9, 3.449006518228009*^9}, {
   3.449006555429722*^9, 3.449006561580679*^9}, {3.4490133690360813`*^9, 
   3.449013383044924*^9}, {3.4490134194221497`*^9, 3.449013439430998*^9}, {
   3.449013500433729*^9, 3.449013532507641*^9}, {3.4490136322485237`*^9, 
   3.4490136586050797`*^9}, {3.449013721296691*^9, 3.449013728306958*^9}, {
   3.449013805981326*^9, 3.4490138221645*^9}, {3.4490138705313997`*^9, 
   3.44901387714388*^9}, 3.449013915836432*^9, {3.449013964410919*^9, 
   3.449013969809062*^9}, {3.44901402498145*^9, 3.449014051208753*^9}, {
   3.449014128124102*^9, 3.449014137873362*^9}, {3.449014206287936*^9, 
   3.4490142093734703`*^9}, {3.449014250237899*^9, 3.449014259368794*^9}, {
   3.449014331893837*^9, 3.449014342947474*^9}, {3.449014432896401*^9, 
   3.449014439333555*^9}, {3.449015003786847*^9, 3.449015078874681*^9}, {
   3.4490153472016*^9, 3.449015354500536*^9}, {3.449015436981037*^9, 
   3.449015444155443*^9}, {3.44901552348221*^9, 3.4490155456090593`*^9}, {
   3.44901558822013*^9, 3.4490156162687273`*^9}, {3.449015662582548*^9, 
   3.449015687032528*^9}, {3.449015741570076*^9, 3.449015745919548*^9}, {
   3.4490158401579657`*^9, 3.4490158591576138`*^9}, {3.44901976133226*^9, 
   3.4490197712066393`*^9}, {3.44901982921208*^9, 3.449019834461454*^9}, {
   3.449019912708791*^9, 3.4490199206092653`*^9}, {3.449020037300201*^9, 
   3.4490200423748417`*^9}, {3.4490201015902042`*^9, 3.44902011326271*^9}, {
   3.4490201825390587`*^9, 3.449020221383564*^9}, {3.449020452902624*^9, 
   3.44902046135385*^9}, {3.4490204944652653`*^9, 3.449020544987445*^9}, {
   3.449020654577963*^9, 3.449020660751885*^9}, {3.4490207011404037`*^9, 
   3.449020707368164*^9}, {3.4490208112539682`*^9, 3.449020818767169*^9}, {
   3.449020878942617*^9, 3.449020899677733*^9}, {3.449020994318825*^9, 
   3.449021026371065*^9}, {3.4490210865207577`*^9, 3.4490211040794497`*^9}, {
   3.449021151688354*^9, 3.449021157037877*^9}, {3.4490212227927837`*^9, 
   3.4490212277296*^9}, {3.4490212953140373`*^9, 3.449021298162694*^9}},
 CellID->950592533],

Cell[BoxData[
 RowBox[{
  RowBox[{"pul", "[", 
   RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{"Gray", ",", 
    RowBox[{"EdgeForm", "[", 
     RowBox[{"{", 
      RowBox[{"Thick", ",", "Black"}], "}"}], "]"}], ",", 
    RowBox[{"Disk", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}], ",", "1"}], "]"}], ",", "Black", ",", 
    RowBox[{"Disk", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}], ",", ".25"}], "]"}]}], 
   "}"}]}]], "Input",
 InitializationCell->True,
 CellID->2033890504],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"bar", "[", "n_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{"Black", ",", 
     RowBox[{"Rectangle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "9.75"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"2", "+", 
          RowBox[{"4", "n"}]}], ",", "10"}], "}"}]}], "]"}]}], "}"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellID->2100491429],

Cell[BoxData[
 RowBox[{
  RowBox[{"unit", "[", 
   RowBox[{"x_", ",", "d_"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"pul", "[", 
     RowBox[{
      RowBox[{"x", "+", "2"}], ",", "8"}], "]"}], ",", 
    RowBox[{"pul", "[", 
     RowBox[{
      RowBox[{"x", "+", "4"}], ",", "d"}], "]"}], ",", 
    RowBox[{"Darker", "[", "Brown", "]"}], ",", " ", "Thick", ",", 
    RowBox[{"Circle", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x", "+", "2"}], ",", "8"}], "}"}], ",", "1", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "\[Pi]"}], "}"}]}], "]"}], ",", "Black", ",", 
    RowBox[{"Thickness", "[", ".0125", "]"}], ",", 
    RowBox[{"Line", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "+", "2"}], ",", "8"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "+", "2"}], ",", "9.75"}], "}"}]}], "}"}], "]"}], ",", 
    RowBox[{"Darker", "[", "Brown", "]"}], ",", "Thick", ",", " ", 
    RowBox[{"Line", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "+", "3"}], ",", "8"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "+", "3"}], ",", "d"}], "}"}]}], "}"}], "]"}], ",", 
    RowBox[{"Circle", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"x", "+", "4"}], ",", "d"}], "}"}], ",", "1", ",", 
      RowBox[{"{", 
       RowBox[{"\[Pi]", ",", 
        RowBox[{"2", "\[Pi]"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"Line", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "+", "5"}], ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "+", "5"}], ",", "8"}], "}"}]}], "}"}], "]"}], ",", 
    "Black", ",", 
    RowBox[{"Thickness", "[", ".0125", "]"}], ",", 
    RowBox[{"Line", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "+", "4"}], ",", "d"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "+", "4"}], ",", 
         RowBox[{"d", "-", "1.75"}]}], "}"}]}], "}"}], "]"}]}], 
   "}"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.443895200679983*^9, {3.445385915534281*^9, 3.445385952171254*^9}, {
   3.4456480131329203`*^9, 3.445648013158619*^9}, {3.445908258129045*^9, 
   3.4459082646518793`*^9}},
 CellID->475774170],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"wt", "[", 
    RowBox[{"n_", ",", "d_", ",", "m_"}], "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{"Black", ",", 
     RowBox[{"Thickness", "[", ".0125", "]"}], ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"4", ",", 
          RowBox[{"d", "-", "1.75"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"4", "n"}], ",", 
          RowBox[{"d", "-", "1.75"}]}], "}"}]}], "}"}], "]"}], ",", 
     RowBox[{"Line", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"2", "n"}], "+", "2"}], ",", 
          RowBox[{"d", "-", "1.75"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"2", "n"}], "+", "2"}], ",", 
          RowBox[{"d", "-", "2.5"}]}], "\[IndentingNewLine]", "}"}]}], "}"}], 
      "]"}], ",", 
     RowBox[{"Rectangle", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"2", "n"}], "+", "1"}], ",", 
         RowBox[{"d", "-", "4"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"2", "n"}], "+", "3"}], ",", 
         RowBox[{"d", "-", "2.5"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"m", ",", "18", ",", "White", ",", "Bold"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"2", "n"}], "+", "2"}], ",", 
         RowBox[{"d", "-", "3.25"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<force = \>\"", ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{
              FractionBox[
               RowBox[{"9.81", " ", "m"}], 
               RowBox[{"2", "n"}]], ",", 
              RowBox[{"{", 
               RowBox[{"5", ",", "1"}], "}"}]}], "]"}], ",", "\"\< N\>\""}], 
           "}"}], "]"}], ",", "16", ",", "Black", ",", "Bold"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"6", ",", 
         RowBox[{"-", "7"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<pull = \>\"", ",", 
            RowBox[{"NumberForm", "[", 
             RowBox[{
              RowBox[{"2", "d", " ", "n"}], ",", 
              RowBox[{"{", 
               RowBox[{"3", ",", "1"}], "}"}]}], "]"}], ",", "\"\< m\>\""}], 
           "}"}], "]"}], ",", "16", ",", "Black", ",", "Bold"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"6", ",", 
         RowBox[{"-", "8.5"}]}], "}"}]}], "]"}], ",", 
     RowBox[{"Text", "[", 
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<mech. adv. = \>\"", ",", 
            RowBox[{"2", "n"}]}], "}"}], "]"}], ",", "16", ",", "Black", ",", 
         "Bold"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"6", ",", 
         RowBox[{"-", "10"}]}], "}"}]}], "]"}]}], "}"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.443834852863735*^9, 3.443834870910574*^9}, {
   3.44383491362499*^9, 3.4438349251236467`*^9}, {3.4438350569005423`*^9, 
   3.443835066674423*^9}, {3.443835141976191*^9, 3.443835147487226*^9}, {
   3.4438352473523293`*^9, 3.443835275693177*^9}, {3.4438353081436462`*^9, 
   3.443835362425014*^9}, {3.443835397944693*^9, 3.443835420174518*^9}, {
   3.443835462118726*^9, 3.443835473884727*^9}, 3.443835541152165*^9, {
   3.4438355773406773`*^9, 3.443835601777815*^9}, 3.4438356565768547`*^9, {
   3.443835719265231*^9, 3.443835719863123*^9}, 3.443895129009014*^9, {
   3.443895253184572*^9, 3.4438952560653048`*^9}, {3.445384209283046*^9, 
   3.4453842147433167`*^9}, {3.445387686209186*^9, 3.445387702331029*^9}, {
   3.445387754227982*^9, 3.445387781055997*^9}, {3.445387811831332*^9, 
   3.44538788706991*^9}, {3.445387956997657*^9, 3.445387963233584*^9}, {
   3.445388021847929*^9, 3.4453880790717163`*^9}, 3.445388109798533*^9, {
   3.445388140485229*^9, 3.445388144496233*^9}, 3.445388236823564*^9, {
   3.445388388848206*^9, 3.445388477260582*^9}, {3.445388523362494*^9, 
   3.445388544536212*^9}, {3.445388657038959*^9, 3.4453886584160852`*^9}, {
   3.445388828318183*^9, 3.445388858052369*^9}, {3.445388941914455*^9, 
   3.445388944175679*^9}, 3.4453890048151503`*^9, {3.445471606233316*^9, 
   3.445471679490693*^9}, {3.4454717307969627`*^9, 3.4454717351288967`*^9}, {
   3.4454718234806767`*^9, 3.4454719272801943`*^9}, {3.4454719622061872`*^9, 
   3.445471970593347*^9}, 3.445472034646381*^9, {3.445472178871338*^9, 
   3.445472194082241*^9}, {3.445472296714427*^9, 3.445472311472859*^9}, {
   3.445472495273684*^9, 3.445472529047277*^9}, {3.445472586012195*^9, 
   3.4454725944364777`*^9}, {3.445472764450471*^9, 3.44547277672386*^9}, {
   3.4454728198874283`*^9, 3.4454728332612953`*^9}, {3.445472878325686*^9, 
   3.445472881048627*^9}, {3.4454729137014217`*^9, 3.4454729371614637`*^9}, {
   3.445473081952136*^9, 3.4454730874390793`*^9}, {3.445473137838895*^9, 
   3.445473162575397*^9}, {3.445477806831355*^9, 3.44547785882918*^9}, {
   3.4454779041278353`*^9, 3.445477913827812*^9}, {3.4454780300060043`*^9, 
   3.445478046430942*^9}, {3.445478118256836*^9, 3.44547812340593*^9}, {
   3.4454782311572237`*^9, 3.445478236744375*^9}, {3.445478268923436*^9, 
   3.4454782994694443`*^9}, 3.445478343257847*^9, {3.445478600037796*^9, 
   3.445478636322885*^9}, {3.4454786664979753`*^9, 3.445478672285038*^9}, 
   3.4454787321500473`*^9, 3.445478821412108*^9, {3.445478966686104*^9, 
   3.445478972984024*^9}, {3.44547907558747*^9, 3.445479109886601*^9}, {
   3.445479362614819*^9, 3.445479395286641*^9}, {3.445479473066008*^9, 
   3.445479501879321*^9}, 3.445801279862184*^9, {3.445802379646367*^9, 
   3.445802421546445*^9}, {3.4458024602210503`*^9, 3.445802476856741*^9}, {
   3.445802526896455*^9, 3.445802542958722*^9}, {3.445802737534193*^9, 
   3.4458027619087048`*^9}, {3.445802816623043*^9, 3.4458028442965508`*^9}, {
   3.44580294934755*^9, 3.445802958096159*^9}, {3.445907963608754*^9, 
   3.445907966256711*^9}, {3.445908778061303*^9, 3.445908796523316*^9}, 
   3.446131850176231*^9, {3.446131896721324*^9, 3.446131908658637*^9}, {
   3.446132270997409*^9, 3.4461322748995323`*^9}, 3.446132389932642*^9, {
   3.4461324327259808`*^9, 3.446132467742577*^9}, 3.446132740825667*^9, 
   3.446132859616159*^9, {3.448989468815117*^9, 3.448989471705761*^9}},
 CellID->1254857409],

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{"n_", ",", "d_", ",", "m_"}], "]"}], ":=", 
  RowBox[{"Graphics", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"bt", "[", 
       RowBox[{"n", ",", 
        RowBox[{"d", "-", "6"}], ",", "m"}], "]"}], ",", 
      RowBox[{"bar", "[", "n", "]"}], ",", 
      RowBox[{"Darker", "[", "Brown", "]"}], ",", "Thick", ",", 
      RowBox[{"Line", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"4", "n"}], "+", "1"}], ",", "d"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"4", "n"}], "+", "1"}], ",", "9.75"}], "}"}]}], "}"}], 
       "]"}], ",", 
      RowBox[{"Arrowheads", "[", "Medium", "]"}], ",", "\[IndentingNewLine]", 
      " ", 
      RowBox[{"Arrow", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"1", ",", "8"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", 
           RowBox[{"6", "-", 
            RowBox[{"n", " ", "d"}]}]}], "}"}]}], "}"}], "]"}], ",", 
      RowBox[{"unit", "[", 
       RowBox[{"0", ",", "d"}], "]"}], ",", 
      RowBox[{"unit", "[", 
       RowBox[{
        RowBox[{"4", 
         RowBox[{"Boole", "[", 
          RowBox[{"n", ">=", "2"}], "]"}]}], ",", "d"}], "]"}], ",", 
      RowBox[{"unit", "[", 
       RowBox[{
        RowBox[{"8", 
         RowBox[{"Boole", "[", 
          RowBox[{"n", ">", "2"}], "]"}]}], ",", "d"}], "]"}], ",", 
      RowBox[{"wt", "[", 
       RowBox[{"n", ",", "d", ",", "m"}], "]"}]}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "20"}], ",", "15"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "12"}], ",", "10"}], "}"}]}], "}"}]}]}], 
   "]"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.443835289671145*^9, 3.443835296038198*^9}, {
   3.445384221396563*^9, 3.445384244721129*^9}, {3.445384903924384*^9, 
   3.4453849050355577`*^9}, {3.4453849683997717`*^9, 
   3.4453849948854218`*^9}, {3.445385073713709*^9, 3.4453851027253447`*^9}, {
   3.4453851707379436`*^9, 3.445385171999166*^9}, {3.445385591327091*^9, 
   3.445385597900744*^9}, 3.445385743142062*^9, 3.445387921323839*^9, 
   3.445388192062232*^9, {3.4453883772122297`*^9, 3.4453883793631268`*^9}, {
   3.445388581700695*^9, 3.445388582212618*^9}, {3.4453890620658493`*^9, 
   3.445389062628336*^9}, {3.445469860174142*^9, 3.445469861547163*^9}, 
   3.445469920687543*^9, 3.4454699801745768`*^9, {3.445470325864205*^9, 
   3.4454703263595448`*^9}, {3.445471839892205*^9, 3.445471844842104*^9}, {
   3.445473270460371*^9, 3.445473278235353*^9}, 3.445477943916082*^9, {
   3.445479765583949*^9, 3.445479775519356*^9}, {3.445479813910696*^9, 
   3.4454798151088676`*^9}, {3.4454800078737087`*^9, 3.445480018071484*^9}, {
   3.445480058647311*^9, 3.4454800947103863`*^9}, {3.445480133775344*^9, 
   3.4454802590604486`*^9}, {3.445480329425766*^9, 3.445480336086913*^9}, 
   3.4454804536069927`*^9, 3.44548048784594*^9, {3.4454805399166327`*^9, 
   3.445480558125222*^9}, 3.4454806519020023`*^9, 3.445480765452609*^9, {
   3.445480822665662*^9, 3.4454808306759443`*^9}, 3.445480913741342*^9, 
   3.445561442001554*^9, {3.445561590263309*^9, 3.445561622805292*^9}, 
   3.445563190865066*^9, {3.44556330615441*^9, 3.4455633606376743`*^9}, {
   3.445563418453627*^9, 3.445563477202045*^9}, 3.445563532398221*^9, {
   3.44556366119105*^9, 3.445563667952262*^9}, {3.445563750716516*^9, 
   3.4455637585162373`*^9}, {3.445564173906331*^9, 3.4455641967096024`*^9}, {
   3.445564332744424*^9, 3.445564336367806*^9}, 3.445564618783516*^9, 
   3.445564698946394*^9, 3.445648013201412*^9, {3.445800906494055*^9, 
   3.445800912680258*^9}, {3.4458009605199842`*^9, 3.445800966130694*^9}, {
   3.445800998292955*^9, 3.445801012217597*^9}, {3.4458011075193033`*^9, 
   3.445801108818179*^9}, 3.445801470471919*^9, 3.445801528809659*^9, {
   3.4458017132806168`*^9, 3.4458017142313232`*^9}, {3.4458018137372227`*^9, 
   3.4458018406095324`*^9}, {3.445801951460638*^9, 3.445801960833743*^9}, 
   3.445802020473456*^9, 3.445802119524342*^9, {3.44580217935426*^9, 
   3.445802207954062*^9}, 3.445802680319347*^9, 3.4458031231918907`*^9, {
   3.445822624889812*^9, 3.445822657001377*^9}, {3.445896327288476*^9, 
   3.445896380336874*^9}, {3.445896615676415*^9, 3.4458966236496763`*^9}, 
   3.445897513628948*^9, 3.445897557415543*^9, {3.445898372344305*^9, 
   3.4458983858294067`*^9}, {3.445898794744508*^9, 3.44589880410742*^9}, 
   3.4458988709945183`*^9, 3.445898956246812*^9, {3.445898996822071*^9, 
   3.4458989979075737`*^9}, {3.445899530512845*^9, 3.445899539209311*^9}, {
   3.445899771865973*^9, 3.445899777984942*^9}, 3.445903317685886*^9, 
   3.445904090139142*^9, {3.445904130851528*^9, 3.445904136124976*^9}, 
   3.445904216889927*^9, 3.445908246790123*^9, {3.445986522938373*^9, 
   3.4459865234145603`*^9}, {3.446079819823946*^9, 3.446079893735738*^9}, {
   3.4460799247491217`*^9, 3.4460799427980328`*^9}, {3.446080014274522*^9, 
   3.4460800160348177`*^9}, {3.446080050137747*^9, 3.446080074559305*^9}, {
   3.446404200951418*^9, 3.446404201833974*^9}},
 CellID->2099059523],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"n", ",", "d", ",", "m"}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"550", ",", "400"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"n", ",", "1", ",", "\"\<number of pulleys\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\<2\>\""}], ",", 
       RowBox[{"2", "\[Rule]", "\"\<4\>\""}], ",", 
       RowBox[{"3", "\[Rule]", "\"\<6\>\""}]}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"d", ",", "0", ",", "\"\<height (m)\>\""}], "}"}], ",", "0", 
     ",", "6", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"m", ",", "100", ",", "\"\<mass (kg)\>\""}], "}"}], ",", "50", 
     ",", "500", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", "Top"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{"n", ",", "d", ",", "m"}], "}"}]}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.445384279329279*^9, 3.445384492906033*^9}, {
   3.445384584927915*^9, 3.445384696446447*^9}, {3.445384767097184*^9, 
   3.4453847947842007`*^9}, {3.445384833259914*^9, 3.445384835033167*^9}, 
   3.4453852291489563`*^9, {3.44538828461124*^9, 3.445388356885789*^9}, {
   3.4453890916516647`*^9, 3.445389092888207*^9}, {3.445389128602441*^9, 
   3.445389135526182*^9}, 3.4453895654305487`*^9, {3.445471127964946*^9, 
   3.445471147951227*^9}, {3.445471796804009*^9, 3.445471808066215*^9}, {
   3.4454721014188337`*^9, 3.445472117718494*^9}, 3.44547808224186*^9, 
   3.4458031302551126`*^9, {3.4458958898984003`*^9, 3.4458959195107937`*^9}, {
   3.445896052274987*^9, 3.445896090510605*^9}, 3.445896148574685*^9, 
   3.445896286772403*^9, {3.445896630325337*^9, 3.445896647738001*^9}, {
   3.445896744871669*^9, 3.445896765413413*^9}, {3.445897234651662*^9, 
   3.445897274314521*^9}, 3.4458974378647633`*^9, 3.445897658566392*^9, {
   3.445897690592794*^9, 3.445897702930385*^9}, 3.445897849030808*^9, {
   3.445898079218522*^9, 3.4458981096171017`*^9}, 3.445898265931919*^9, {
   3.445898328171055*^9, 3.445898355719676*^9}, {3.445898411119651*^9, 
   3.445898428919208*^9}, {3.4458986851950274`*^9, 3.4458986872813263`*^9}, 
   3.445898819119244*^9, {3.4458988764209633`*^9, 3.4458989106954308`*^9}, 
   3.445898964682399*^9, {3.446065925021661*^9, 3.446065942620265*^9}, {
   3.446066264598174*^9, 3.446066266521483*^9}, {3.446066362063465*^9, 
   3.446066371873475*^9}, {3.446066456012192*^9, 3.4460664636851482`*^9}, 
   3.446066500299633*^9, 3.446132049483448*^9, {3.4463897480006104`*^9, 
   3.4463897805528655`*^9}},
 CellID->709548910]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`d$$ = 0, $CellContext`m$$ = 
    100, $CellContext`n$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`n$$], 1, "number of pulleys"}, {
      1 -> "2", 2 -> "4", 3 -> "6"}}, {{
       Hold[$CellContext`d$$], 0, "height (m)"}, 0, 6}, {{
       Hold[$CellContext`m$$], 100, "mass (kg)"}, 50, 500, 1}}, 
    Typeset`size$$ = {550., {198., 202.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`n$13228$$ = False, $CellContext`d$13229$$ = 
    0, $CellContext`m$13230$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`d$$ = 0, $CellContext`m$$ = 
        100, $CellContext`n$$ = 1}, "ControllerVariables" :> {
        Hold[$CellContext`n$$, $CellContext`n$13228$$, False], 
        Hold[$CellContext`d$$, $CellContext`d$13229$$, 0], 
        Hold[$CellContext`m$$, $CellContext`m$13230$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[
        $CellContext`g[$CellContext`n$$, $CellContext`d$$, $CellContext`m$$], 
        ImageSize -> {550, 400}], 
      "Specifications" :> {{{$CellContext`n$$, 1, "number of pulleys"}, {
         1 -> "2", 2 -> "4", 3 -> "6"}}, {{$CellContext`d$$, 0, "height (m)"},
          0, 6, Appearance -> 
         "Labeled"}, {{$CellContext`m$$, 100, "mass (kg)"}, 50, 500, 1, 
         Appearance -> "Labeled"}}, 
      "Options" :> {
       ControlPlacement -> Top, 
        TrackedSymbols :> {$CellContext`n$$, $CellContext`d$$, \
$CellContext`m$$}}, "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{595., {268., 273.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>(({$CellContext`g[
          Pattern[$CellContext`n, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]], 
          Pattern[$CellContext`m, 
           Blank[]]] := Graphics[{
           $CellContext`bt[$CellContext`n, $CellContext`d - 
            6, $CellContext`m], 
           $CellContext`bar[$CellContext`n], 
           Darker[Brown], Thick, 
           
           Line[{{4 $CellContext`n + 1, $CellContext`d}, {
             4 $CellContext`n + 1, 9.75}}], 
           Arrowheads[Medium], 
           Arrow[{{1, 8}, {1, 6 - $CellContext`n $CellContext`d}}], 
           $CellContext`unit[0, $CellContext`d], 
           $CellContext`unit[4 Boole[$CellContext`n >= 2], $CellContext`d], 
           $CellContext`unit[8 Boole[$CellContext`n > 2], $CellContext`d], 
           $CellContext`wt[$CellContext`n, $CellContext`d, $CellContext`m]}, 
          PlotRange -> {{-20, 15}, {-12, 10}}], $CellContext`bt[
          Pattern[$CellContext`n, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]], 
          Pattern[$CellContext`m, 
           Blank[]]] := {Black, 
          Rectangle[{-12.5, 9}, {-7.5, 10}], Gray, 
          EdgeForm[{Thick, Black}], 
          Disk[{$CellContext`x, $CellContext`y}, 2], 
          Disk[{$CellContext`x, $CellContext`d}, 2], 
          Thickness[0.01], Black, 
          Circle[{$CellContext`x, $CellContext`y - 2.5}, 0.4], 
          Circle[{$CellContext`x, $CellContext`d - 2.5}, 0.4], Brown, 
          Opacity[
           Boole[$CellContext`n > 1]], 
          
          Line[{{$CellContext`x - 2, $CellContext`y}, {$CellContext`x - 
             2, $CellContext`d}}], 
          Thickness[0.005], 
          
          Line[{{$CellContext`x + 1.7, $CellContext`y - 1}, {$CellContext`x + 
             1.7, $CellContext`d + 1}}], 
          Opacity[1], 
          Darker[Brown], 
          PointSize[0.015], 
          Point[{$CellContext`x, $CellContext`y - 2.5}], 
          Thickness[0.01], 
          Circle[{$CellContext`x, $CellContext`y}, 2, {0, 160 Degree}], 
          
          Circle[{$CellContext`x, $CellContext`d}, 
           2, {-Pi + ArcSin[2/($CellContext`d - 2.5)], 0}], 
          
          Line[{{$CellContext`x - 2 Cos[20 Degree], $CellContext`y + 
             2 Sin[20 Degree]}, {-18, -11}}], 
          
          Arrow[{{$CellContext`x - 2 Cos[20 Degree], $CellContext`y + 
             2 Sin[20 Degree]}, {$CellContext`x - 2 Cos[20 Degree] + 
             2 (-8 - $CellContext`d) Cos[70 Degree], $CellContext`y + 
             2 Sin[20 Degree] + 2 (-8 - $CellContext`d) Sin[70 Degree]}}], 
          Circle[{-19, -11}, {1, 0.3}], 
          
          Line[{{$CellContext`x, $CellContext`y - 2.35}, {$CellContext`x - 2 
             Sqrt[1 - 4/($CellContext`d - 2.5)^2], $CellContext`d - 
             4/($CellContext`d - 2.5)}}], 
          
          Line[{{$CellContext`x + 2, $CellContext`y}, {$CellContext`x + 
             2, $CellContext`d}}], 
          Darker[Gray], 
          
          Rectangle[{$CellContext`x - 0.25, $CellContext`y - 
            2.2}, {$CellContext`x + 0.25, $CellContext`y + 4}], 
          
          Rectangle[{$CellContext`x - 0.25, $CellContext`d + 
            2.2}, {$CellContext`x + 0.25, $CellContext`d - 2.2}], Black, 
          Disk[{$CellContext`x, $CellContext`y}, 0.5], 
          Disk[{$CellContext`x, $CellContext`d}, 0.5], 
          
          Line[{{$CellContext`x, $CellContext`d - 
             2.9}, {$CellContext`x, $CellContext`d - 3.8}}], 
          
          Rectangle[{$CellContext`x - 1.5, $CellContext`d - 
            5.8}, {$CellContext`x + 1.5, $CellContext`d - 3.8}], 
          Text[
           
           Style[$CellContext`m, 24, White, 
            Bold], {$CellContext`x, $CellContext`d - 4.8}]}, 
        Attributes[Thick] = {
         ReadProtected}, $CellContext`x = -10, $CellContext`y = 
        5, $CellContext`bar[
          Pattern[$CellContext`n, 
           Blank[]]] := {Black, 
          Rectangle[{0, 9.75}, {2 + 4 $CellContext`n, 10}]}, $CellContext`unit[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]]] := {
          $CellContext`pul[$CellContext`x + 2, 8], 
          $CellContext`pul[$CellContext`x + 4, $CellContext`d], 
          Darker[Brown], Thick, 
          Circle[{$CellContext`x + 2, 8}, 1, {0, Pi}], Black, 
          Thickness[0.0125], 
          Line[{{$CellContext`x + 2, 8}, {$CellContext`x + 2, 9.75}}], 
          Darker[Brown], Thick, 
          
          Line[{{$CellContext`x + 3, 8}, {$CellContext`x + 
             3, $CellContext`d}}], 
          Circle[{$CellContext`x + 4, $CellContext`d}, 1, {Pi, 2 Pi}], 
          
          Line[{{$CellContext`x + 5, $CellContext`d}, {$CellContext`x + 5, 
             8}}], Black, 
          Thickness[0.0125], 
          
          Line[{{$CellContext`x + 4, $CellContext`d}, {$CellContext`x + 
             4, $CellContext`d - 1.75}}]}, $CellContext`pul[
          Pattern[$CellContext`x, 
           Blank[]], 
          Pattern[$CellContext`y, 
           Blank[]]] := {Gray, 
          EdgeForm[{Thick, Black}], 
          Disk[{$CellContext`x, $CellContext`y}, 1], Black, 
          Disk[{$CellContext`x, $CellContext`y}, 0.25]}, $CellContext`wt[
          Pattern[$CellContext`n, 
           Blank[]], 
          Pattern[$CellContext`d, 
           Blank[]], 
          Pattern[$CellContext`m, 
           Blank[]]] := {Black, 
          Thickness[0.0125], 
          
          Line[{{4, $CellContext`d - 1.75}, {
            4 $CellContext`n, $CellContext`d - 1.75}}], 
          
          Line[{{2 $CellContext`n + 2, $CellContext`d - 1.75}, {
            2 $CellContext`n + 2, $CellContext`d - 2.5}}], 
          
          Rectangle[{2 $CellContext`n + 1, $CellContext`d - 4}, {
           2 $CellContext`n + 3, $CellContext`d - 2.5}], 
          Text[
           Style[$CellContext`m, 18, White, Bold], {
           2 $CellContext`n + 2, $CellContext`d - 3.25}], 
          Text[
           Style[
            Row[{"force = ", 
              NumberForm[(9.81 $CellContext`m)/(2 $CellContext`n), {5, 1}], 
              " N"}], 16, Black, Bold], {6, -7}], 
          Text[
           Style[
            Row[{"pull = ", 
              NumberForm[2 $CellContext`d $CellContext`n, {3, 1}], " m"}], 16,
             Black, Bold], {6, -8.5}], 
          Text[
           Style[
            Row[{"mech. adv. = ", 2 $CellContext`n}], 16, Black, Bold], {
           6, -10}]}, Attributes[PlotRange] = {ReadProtected}}; 
      Typeset`initDone$$ = True); ReleaseHold[
       HoldComplete[{$CellContext`x = -10; $CellContext`y = 5; $CellContext`bt[
            Pattern[$CellContext`n, 
             Blank[]], 
            Pattern[$CellContext`d, 
             Blank[]], 
            Pattern[$CellContext`m, 
             Blank[]]] := {Black, 
            Rectangle[{-12.5, 9}, {-7.5, 10}], Gray, 
            EdgeForm[{Thick, Black}], 
            Disk[{$CellContext`x, $CellContext`y}, 2], 
            Disk[{$CellContext`x, $CellContext`d}, 2], 
            Thickness[0.01], Black, 
            Circle[{$CellContext`x, $CellContext`y - 2.5}, 0.4], 
            Circle[{$CellContext`x, $CellContext`d - 2.5}, 0.4], Brown, 
            Opacity[
             Boole[$CellContext`n > 1]], 
            
            Line[{{$CellContext`x - 2, $CellContext`y}, {$CellContext`x - 
               2, $CellContext`d}}], 
            Thickness[0.005], 
            
            Line[{{$CellContext`x + 1.7, $CellContext`y - 1}, {$CellContext`x + 
               1.7, $CellContext`d + 1}}], 
            Opacity[1], 
            Darker[Brown], 
            PointSize[0.015], 
            Point[{$CellContext`x, $CellContext`y - 2.5}], 
            Thickness[0.01], 
            Circle[{$CellContext`x, $CellContext`y}, 2, {0, 160 Degree}], 
            
            Circle[{$CellContext`x, $CellContext`d}, 
             2, {-Pi + ArcSin[2/($CellContext`d - 2.5)], 0}], 
            
            Line[{{$CellContext`x - 2 Cos[20 Degree], $CellContext`y + 
               2 Sin[20 Degree]}, {-18, -11}}], 
            Arrow[{{$CellContext`x - 2 Cos[20 Degree], $CellContext`y + 
               2 Sin[20 Degree]}, {$CellContext`x - 2 Cos[20 Degree] + 
               2 (-8 - $CellContext`d) Cos[70 Degree], $CellContext`y + 
               2 Sin[20 Degree] + 2 (-8 - $CellContext`d) Sin[70 Degree]}}], 
            Circle[{-19, -11}, {1, 0.3}], 
            
            Line[{{$CellContext`x, $CellContext`y - 2.35}, {$CellContext`x - 
               2 (1 - 4/($CellContext`d - 2.5)^2)^
                Rational[1, 2], $CellContext`d - 4/($CellContext`d - 2.5)}}], 
            
            
            Line[{{$CellContext`x + 2, $CellContext`y}, {$CellContext`x + 
               2, $CellContext`d}}], 
            Darker[Gray], 
            
            Rectangle[{$CellContext`x - 0.25, $CellContext`y - 
              2.2}, {$CellContext`x + 0.25, $CellContext`y + 4}], 
            
            Rectangle[{$CellContext`x - 0.25, $CellContext`d + 
              2.2}, {$CellContext`x + 0.25, $CellContext`d - 2.2}], Black, 
            Disk[{$CellContext`x, $CellContext`y}, 0.5], 
            Disk[{$CellContext`x, $CellContext`d}, 0.5], 
            
            Line[{{$CellContext`x, $CellContext`d - 
               2.9}, {$CellContext`x, $CellContext`d - 3.8}}], 
            
            Rectangle[{$CellContext`x - 1.5, $CellContext`d - 
              5.8}, {$CellContext`x + 1.5, $CellContext`d - 3.8}], 
            Text[
             
             Style[$CellContext`m, 24, White, 
              Bold], {$CellContext`x, $CellContext`d - 
              4.8}]}, $CellContext`pul[
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`y, 
            Blank[]]] := {Gray, 
           EdgeForm[{Thick, Black}], 
           Disk[{$CellContext`x, $CellContext`y}, 1], Black, 
           Disk[{$CellContext`x, $CellContext`y}, 0.25]}, $CellContext`bar[
            Pattern[$CellContext`n, 
             Blank[]]] := {Black, 
            Rectangle[{0, 9.75}, {2 + 4 $CellContext`n, 10}]}; 
         Null, $CellContext`unit[
           Pattern[$CellContext`x, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]]] := {
           $CellContext`pul[$CellContext`x + 2, 8], 
           $CellContext`pul[$CellContext`x + 4, $CellContext`d], 
           Darker[Brown], Thick, 
           Circle[{$CellContext`x + 2, 8}, 1, {0, Pi}], Black, 
           Thickness[0.0125], 
           Line[{{$CellContext`x + 2, 8}, {$CellContext`x + 2, 9.75}}], 
           Darker[Brown], Thick, 
           
           Line[{{$CellContext`x + 3, 8}, {$CellContext`x + 
              3, $CellContext`d}}], 
           Circle[{$CellContext`x + 4, $CellContext`d}, 1, {Pi, 2 Pi}], 
           
           Line[{{$CellContext`x + 5, $CellContext`d}, {$CellContext`x + 5, 
              8}}], Black, 
           Thickness[0.0125], 
           
           Line[{{$CellContext`x + 4, $CellContext`d}, {$CellContext`x + 
              4, $CellContext`d - 1.75}}]}, $CellContext`wt[
            Pattern[$CellContext`n, 
             Blank[]], 
            Pattern[$CellContext`d, 
             Blank[]], 
            Pattern[$CellContext`m, 
             Blank[]]] := {Black, 
            Thickness[0.0125], 
            
            Line[{{4, $CellContext`d - 1.75}, {
              4 $CellContext`n, $CellContext`d - 1.75}}], 
            
            Line[{{2 $CellContext`n + 2, $CellContext`d - 1.75}, {
              2 $CellContext`n + 2, $CellContext`d - 2.5}}], 
            
            Rectangle[{2 $CellContext`n + 1, $CellContext`d - 4}, {
             2 $CellContext`n + 3, $CellContext`d - 2.5}], 
            Text[
             Style[$CellContext`m, 18, White, Bold], {
             2 $CellContext`n + 2, $CellContext`d - 3.25}], 
            Text[
             Style[
              Row[{"force = ", 
                NumberForm[9.81 $CellContext`m/(2 $CellContext`n), {5, 1}], 
                " N"}], 16, Black, Bold], {6, -7}], 
            Text[
             Style[
              Row[{"pull = ", 
                NumberForm[2 $CellContext`d $CellContext`n, {3, 1}], " m"}], 
              16, Black, Bold], {6, -8.5}], 
            Text[
             Style[
              Row[{"mech. adv. = ", 2 $CellContext`n}], 16, Black, Bold], {
             6, -10}]}; Null, $CellContext`g[
           Pattern[$CellContext`n, 
            Blank[]], 
           Pattern[$CellContext`d, 
            Blank[]], 
           Pattern[$CellContext`m, 
            Blank[]]] := Graphics[{
            $CellContext`bt[$CellContext`n, $CellContext`d - 
             6, $CellContext`m], 
            $CellContext`bar[$CellContext`n], 
            Darker[Brown], Thick, 
            
            Line[{{4 $CellContext`n + 1, $CellContext`d}, {
              4 $CellContext`n + 1, 9.75}}], 
            Arrowheads[Medium], 
            Arrow[{{1, 8}, {1, 6 - $CellContext`n $CellContext`d}}], 
            $CellContext`unit[0, $CellContext`d], 
            $CellContext`unit[4 Boole[$CellContext`n >= 2], $CellContext`d], 
            $CellContext`unit[8 Boole[$CellContext`n > 2], $CellContext`d], 
            $CellContext`wt[$CellContext`n, $CellContext`d, $CellContext`m]}, 
           PlotRange -> {{-20, 15}, {-12, 10}}]}]]; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->556368827],

Cell[CellGroupData[{

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "\"",
 ButtonBox["Block and Tackle",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/BlockAndTackle/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/BlockAndTackle/"],
 "\"",
 " from ",
 ButtonBox["The Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/BlockAndTackle/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/BlockAndTackle/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/BlockAndTackle/"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[" ", "Text",
 CellFrame->{{0, 0}, {0, 1}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.691905, 0.790311, 0.300252],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.691905, 0.790311, 0.300252]],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["S. M. Blinder",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=S.+M.+Blinder"],
     None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=S.+M.+Blinder"]
}], "Text",
 CellDingbat->"\[FilledSmallSquare]",
 CellMargins->{{66, 48}, {2, 4}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system (Version 6 or higher) is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.865507, 0.90634, 0.680751],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[0.986023, 0.991363, 0.969818]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["The Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
BlockAndTackle"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{775, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Block and Tackle - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[606, 23, 208, 4, 70, "Section"],
Cell[817, 29, 19070, 392, 70, "Input",
 InitializationCell->True,
 CellID->950592533],
Cell[19890, 423, 570, 19, 70, "Input",
 InitializationCell->True,
 CellID->2033890504],
Cell[20463, 444, 444, 16, 70, "Input",
 InitializationCell->True,
 CellID->2100491429],
Cell[20910, 462, 2435, 75, 70, "Input",
 InitializationCell->True,
 CellID->475774170],
Cell[23348, 539, 6731, 146, 70, "Input",
 InitializationCell->True,
 CellID->1254857409],
Cell[30082, 687, 5302, 107, 70, "Input",
 InitializationCell->True,
 CellID->2099059523],
Cell[35387, 796, 3143, 64, 70, "Input",
 CellID->709548910]
}, Open  ]],
Cell[38545, 863, 15872, 359, 70, "Output",
 CellID->556368827],
Cell[CellGroupData[{
Cell[54442, 1226, 373, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[54818, 1237, 863, 24, 70, "Text"],
Cell[55684, 1263, 337, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[56024, 1274, 436, 14, 70, "Text"],
Cell[CellGroupData[{
Cell[56485, 1292, 847, 24, 70, "Text"],
Cell[57335, 1318, 1190, 33, 70, "Text"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature NRNRXqoycnhU3D0tOgeQsunh *)
